Package org.eclipse.m2m.atl.common.OCL

## Class OCLFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.m2m.atl.common.OCL.OCLFactory

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory`

    public class OCLFactory
    extends org.eclipse.emf.ecore.impl.EFactoryImpl

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `OCLPackage`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`static OCLFactory` `eINSTANCE` The singleton instance of the factory.

### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`EDATE_FORMATS, ePackage`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`OCLFactory()` Creates an instance of the factory.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`org.eclipse.emf.ecore.EObject` `create​(org.eclipse.emf.ecore.EClass eClass)`
`Attribute` `createAttribute()`
`BagExp` `createBagExp()`
`BagType` `createBagType()`
`BooleanExp` `createBooleanExp()`
`BooleanType` `createBooleanType()`
`CollectionOperationCallExp` `createCollectionOperationCallExp()`
`CollectionType` `createCollectionType()`
`EnumLiteralExp` `createEnumLiteralExp()`
`IfExp` `createIfExp()`
`IntegerExp` `createIntegerExp()`
`IntegerType` `createIntegerType()`
`IterateExp` `createIterateExp()`
`Iterator` `createIterator()`
`IteratorExp` `createIteratorExp()`
`LetExp` `createLetExp()`
`MapElement` `createMapElement()`
`MapExp` `createMapExp()`
`MapType` `createMapType()`
`NavigationOrAttributeCallExp` `createNavigationOrAttributeCallExp()`
`OclAnyType` `createOclAnyType()`
`OclContextDefinition` `createOclContextDefinition()`
`OclFeatureDefinition` `createOclFeatureDefinition()`
`OclModel` `createOclModel()`
`OclModelElement` `createOclModelElement()`
`OclType` `createOclType()`
`OclUndefinedExp` `createOclUndefinedExp()`
`Operation` `createOperation()`
`OperationCallExp` `createOperationCallExp()`
`OperatorCallExp` `createOperatorCallExp()`
`OrderedSetExp` `createOrderedSetExp()`
`OrderedSetType` `createOrderedSetType()`
`Parameter` `createParameter()`
`RealExp` `createRealExp()`
`RealType` `createRealType()`
`SequenceExp` `createSequenceExp()`
`SequenceType` `createSequenceType()`
`SetExp` `createSetExp()`
`SetType` `createSetType()`
`StringExp` `createStringExp()`
`StringType` `createStringType()`
`SuperExp` `createSuperExp()`
`TupleExp` `createTupleExp()`
`TuplePart` `createTuplePart()`
`TupleType` `createTupleType()`
`TupleTypeAttribute` `createTupleTypeAttribute()`
`VariableDeclaration` `createVariableDeclaration()`
`VariableExp` `createVariableExp()`
`OCLPackage` `getOCLPackage()`
`static OCLPackage` `getPackage()` Deprecated.
`static OCLFactory` `init()` Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, convertToString, create, createFromString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eINSTANCE

    public static final OCLFactory eINSTANCE

The singleton instance of the factory.

### Constructor Detail

#### OCLFactory

    public OCLFactory()

Creates an instance of the factory.

### Method Detail

#### init

    public static OCLFactory init()

Creates the default factory implementation.

#### create

    public org.eclipse.emf.ecore.EObject create​(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### createVariableExp

    public VariableExp createVariableExp()

#### createSuperExp

    public SuperExp createSuperExp()

#### createStringExp

    public StringExp createStringExp()

#### createBooleanExp

    public BooleanExp createBooleanExp()

#### createRealExp

    public RealExp createRealExp()

#### createIntegerExp

    public IntegerExp createIntegerExp()

#### createBagExp

    public BagExp createBagExp()

#### createOrderedSetExp

    public OrderedSetExp createOrderedSetExp()

#### createSequenceExp

    public SequenceExp createSequenceExp()

#### createSetExp

    public SetExp createSetExp()

#### createTupleExp

    public TupleExp createTupleExp()

#### createTuplePart

    public TuplePart createTuplePart()

#### createMapExp

    public MapExp createMapExp()

#### createMapElement

    public MapElement createMapElement()

#### createEnumLiteralExp

    public EnumLiteralExp createEnumLiteralExp()

#### createOclUndefinedExp

    public OclUndefinedExp createOclUndefinedExp()

#### createNavigationOrAttributeCallExp

    public NavigationOrAttributeCallExp createNavigationOrAttributeCallExp()

#### createOperationCallExp

    public OperationCallExp createOperationCallExp()

#### createOperatorCallExp

    public OperatorCallExp createOperatorCallExp()

#### createCollectionOperationCallExp

    public CollectionOperationCallExp createCollectionOperationCallExp()

#### createIterateExp

    public IterateExp createIterateExp()

#### createIteratorExp

    public IteratorExp createIteratorExp()

#### createLetExp

    public LetExp createLetExp()

#### createIfExp

    public IfExp createIfExp()

#### createVariableDeclaration

    public VariableDeclaration createVariableDeclaration()

#### createIterator

    public Iterator createIterator()

#### createParameter

    public Parameter createParameter()

#### createCollectionType

    public CollectionType createCollectionType()

#### createOclType

    public OclType createOclType()

#### createStringType

    public StringType createStringType()

#### createBooleanType

    public BooleanType createBooleanType()

#### createIntegerType

    public IntegerType createIntegerType()

#### createRealType

    public RealType createRealType()

#### createBagType

    public BagType createBagType()

#### createOrderedSetType

    public OrderedSetType createOrderedSetType()

#### createSequenceType

    public SequenceType createSequenceType()

#### createSetType

    public SetType createSetType()

#### createOclAnyType

    public OclAnyType createOclAnyType()

#### createTupleType

    public TupleType createTupleType()

#### createTupleTypeAttribute

    public TupleTypeAttribute createTupleTypeAttribute()

#### createOclModelElement

    public OclModelElement createOclModelElement()

#### createMapType

    public MapType createMapType()

#### createOclFeatureDefinition

    public OclFeatureDefinition createOclFeatureDefinition()

#### createOclContextDefinition

    public OclContextDefinition createOclContextDefinition()

#### createAttribute

    public Attribute createAttribute()

#### createOperation

    public Operation createOperation()

#### createOclModel

    public OclModel createOclModel()

#### getOCLPackage

    public OCLPackage getOCLPackage()

#### getPackage

    @Deprecated
    public static OCLPackage getPackage()

Deprecated.